#
# spec file for package yast2-network
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-network
Version:        2.24.15
Release:        0

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-network-%{version}.tar.bz2

# should be required by devtools
BuildRequires:  perl-XML-Writer
BuildRequires:  pkgconfig
BuildRequires:  rpm
BuildRequires:  update-desktop-files
BuildRequires:  yast2-country
BuildRequires:  yast2-devtools
BuildRequires:  yast2-installation >= 2.15.27
BuildRequires:  yast2-testsuite

# yast2 v2.23.19 - Checking for systemd services extended with /etc/init.d path
BuildRequires:  yast2 >= 2.23.19
Requires:       yast2 >= 2.23.6

#netconfig (FaTE #303618)
Requires:       sysconfig >= 0.71.2
#GetLanguageCountry
#(in newly created yast2-country-data)
Requires:       yast2-country-data >= 2.16.3
# Storage::IsDeviceOnNetwork
BuildRequires:  yast2-storage >= 2.21.11
Requires:       yast2-storage >= 2.21.11

PreReq:         /bin/rm

# carrier detection
Conflicts:      yast2-core < 2.10.6

Summary:        YaST2 - Network Configuration
License:        GPL-2.0
Group:          System/YaST

%package devel-doc
Summary:        YaST2 - Developer documentation for yast2-network
Group:          System/YaST

%description 
This package contains the YaST2 component for network configuration.

%description devel-doc
This package contains autogenerated documentation for yast2-network

%prep
%setup -n yast2-network-%{version}

%build
%{_prefix}/bin/y2tool y2autoconf
%{_prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

./configure --libdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{_prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%ifarch s390 s390x
/bin/rm -f $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/dsl.desktop
/bin/rm -f $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/isdn.desktop
/bin/rm -f $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/modem.desktop
%endif
/bin/rm -f $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/network.desktop
/bin/rm -f $RPM_BUILD_ROOT/%{_prefix}/share/applications/YaST2/provider.desktop

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -p /bin/bash
# This fixes the files that were touched when #24842 was in effect.
# #42990: shut up when no wlan files are there.
shopt -s nullglob
files=`echo /etc/sysconfig/network/ifcfg-wlan*`
if [ -n "$files" ]; then
    /bin/chown root:root $files
    /bin/chmod 0600 $files
fi

%files
%defattr(-,root,root)
%{_prefix}/lib/YaST2/bin/*
/usr/share/YaST2/data/*
/usr/share/YaST2/include/network
/usr/share/YaST2/clients/*.ycp
/usr/share/YaST2/modules/YaPI/NETWORK.pm
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/modules/*.ybc
%{_prefix}/share/applications/YaST2/*.desktop
/usr/share/YaST2/scrconf/*.scr
/usr/lib/YaST2/servers_non_y2/ag_udev_persistent
/usr/share/YaST2/schema/autoyast/rnc/networking.rnc
/usr/share/YaST2/schema/autoyast/rnc/host.rnc

%dir %{_prefix}/share/doc/packages/yast2-network
%{_prefix}/share/doc/packages/yast2-network/COPYING
%readme %{_prefix}/share/doc/packages/yast2-network/README

%files devel-doc
%defattr(-,root,root)
%doc %{_prefix}/share/doc/packages/yast2-network
%exclude %{_prefix}/share/doc/packages/yast2-network/COPYING
%exclude %{_prefix}/share/doc/packages/yast2-network/README

%changelog
